  @charset "utf-8";

/* 지도 */
.bodyMap {width: 100%; height: 100%; overflow: hidden;}
.map_wrap{width: 100%; height: calc(100vh - 110px); position: fixed; left: 0; top: 110px; transition: .4s ease-in-out;}
#map {width: 100%; height: 100%;}

/* 스크롤 꾸미기 */
::-webkit-scrollbar{width: 6px;}
::-webkit-scrollbar-thumb{background-color: rgba(0, 0, 0, .4); border-radius: 10px;}
::-webkit-scrollbar-track{background-color: transparent;}

/* 헤더 */
.header {width: 100%; height: 110px; background: #ea5514; display: flex; align-items: center; justify-content: space-between; padding: 0 25px; flex-wrap: wrap; position: relative; z-index: 2;}
.header_wrap {display: flex; flex-wrap: wrap; align-items: center; width: 100%; height: 100%;}
.header .logo {display: flex; align-items: center; width: 400px;}
.header .logo img {height: 45px;}
.header .logo a span {display: inline-block; color: #fff; margin-left: 20px; font-size: 1.3rem; padding-left: 20px; font-weight: 700; position: relative;}
.header .logo a span::before {content: ''; width: 1px; height: 21px; background: #fff; position: absolute; left: 0; top: 50%; transform: translateY(-50%);}
.header .nav_wrap {display: flex; align-items: center; justify-content: space-between; width: calc(100% - 400px); padding-right: 50px;}
.header .nav {display: flex; align-items: center; justify-content: center; flex-wrap: nowrap;}
.header .nav li {display: flex; align-items: center; justify-content: center; transition: .4s ease-in-out; padding: 10px 20px; border-radius: 50px; position: relative;}
.header .nav li + li {margin-left: 20px;}
.header .nav li.on {background: #a93b0c;}
.header .nav li a {width: 100%; height: 100%; color: #fff; display: flex; align-items: center; align-content: center; justify-content: center; flex-wrap: nowrap; text-align: center;}
.header .nav li a span {display: block; margin-left: 10px; font-size: 1.125rem;}
.header .util {display: flex;}
.header .util li {margin: 10px 0;}
.header .util li + li {border-left: 1px solid #fff;}
.header .util li a {padding: 0 15px; color: #fff; display: block; transition: .4s ease-in-out; font-size: 1rem; position: relative; opacity: .5;}
.header .util li a:hover {opacity: 1;}

/* 사이드 */
.campus_info {position: absolute; left: 0; top: 110px; width: 380px; height: calc(100% - 110px); background: #fff; transition: .4s ease-in-out;}
.campus_info.cls {left: -380px;}
.campus_info .campus_detail_list li > form {padding: 10px 20px;}
#campusFrm {padding: 10px;}
.campus_search {width: 100%; height: 45px; display: flex; gap: 10px;}
.campus_search li {display: flex; align-items: center; justify-content: center; position: relative;}
.campus_search li:first-child {width: calc(100% - 50px);}
.campus_search li:last-child {width: 45px;}
.campus_search li input {width: 100%; height: 45px; border: 1px solid #bbb; padding: 10px 50px 10px 20px; font-size: 1rem;}
.campus_search li .btn_search {position: absolute; right: 0; top: 0; width: 50px; height: 45px; background: url("/resources/images/site/common/ico_input_search.png") center no-repeat; background-size: 16px;}
.campus_search li .btn_search::before {content: ""; width: 1px; height: 20px; background: #bbb; position: absolute; right: 50px; top: 50%; transform: translateY(-50%);}
.campus_search li .btn_refresh {width: 45px; height: 45px; background: #959595 url("/resources/images/site/contents/map/ico_refresh.svg") center no-repeat; background-size: 16px;}

#searchCnt li {padding: 0 10px 10px 10px; font-size: .9375rem; color: #555;}
#searchCnt li span {color: #ea5513;}

/* 슬라이드 버튼 */
.slide_btn {position: absolute; left: 380px; top: 50%; transform: translateY(-50%); width: 30px; height: 60px; background: #fff; box-shadow: 8px 6px 6px rgba(0, 0, 0, .1); cursor: pointer;}
.slide_btn::after {content: ''; border-right: 6px solid #787878; border-top: 6px solid transparent; border-bottom: 6px solid transparent; position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%);}
.slide_btn.cls::after {border-left: 8px solid #777; border-right: none;}

/* 캠퍼스 탭 */
.campus_tab_list {display: flex; align-items: center; gap: 10px; justify-content: space-between; padding: 10px 20px; border-bottom: 1px solid #bbb;}
.campus_tab_list li {width: 100%; text-align: center;}
.campus_tab_list li a {display: block; width: 100%; padding: 12px 10px; border-radius: 50px; background: #f2f2f2; font-size: 1rem; font-weight: 500; color: #7a7a7a;}
.campus_tab_list li.active a {background: #ea5514; color: #fff;}

/* 캠퍼스 리스트 */
.campus_detail_list {width: 100%; height: calc(100% - 64px - 65px); overflow: hidden;}
.campus_detail_list.plus {height: calc(100% - 64px - 65px - 28px);}
.campus_detail_list > li {width: 100%; height: 100%;}
.campus_detail_list > li .campus_list {width: 100%; height: 100%; border-top: 1px solid #bbb; overflow-y: overlay;}
.campus_detail_list > li .campus_list ul {width: 100%; height: 100%;}
.campus_detail_list > li .campus_list ul li {border-bottom: 1px solid #ddd;}
.campus_detail_list > li .campus_list ul li.on,
.campus_detail_list > li .campus_list ul li:hover {background: #f5f5f5;}
.campus_detail_list > li .campus_list ul li.on .num {background: #0790AD;}
.campus_detail_list > li .campus_list ul li.on .num::after {border-color: #0790AD transparent transparent transparent;}
.campus_detail_list > li .campus_list ul li button {display: flex; align-items: center; font-size: 1rem; color: #333; width: 100%; height: 100%; padding: 20px; text-align: left;}
.campus_detail_list > li .campus_list ul li button span.cp_tit {color: #333;}

.campus_detail_list > li .campus_list ul li.empty {background: #f5f5f5; width: 100%; height: 100%; display: flex; align-items: center; justify-content: center; color: #777; font-size: .9375rem; position: relative; padding: 20px;}

.campus_detail_list > li .campus_list > li .list_tit {padding: 20px 20px 20px 45px; border-bottom: 1px solid #ddd; color: #333; font-size: 1rem; font-weight: 600; cursor: pointer; position: relative; transition: .4s;}
.campus_detail_list > li .campus_list > li .list_tit::before {content: ""; width: 15px; height: 15px; position: absolute; left: 20px; top: 50%; transform: translateY(-50%);}
.campus_detail_list > li .campus_list > li .list_tit.on::after {content: ""; background: url(/resources/images/site/contents/map/ico_arrow.png) no-repeat; width: 21px; height: 21px; background-size: 100%; position: absolute; right: 20px; top: 50%; transform: translateY(-50%) rotate(180deg); transition: .4s;}
.campus_detail_list > li .campus_list > li .list_tit::after {content: ""; background: url(/resources/images/site/contents/map/ico_arrow.png) no-repeat; width: 21px; height: 21px; background-size: 100%; position: absolute; right: 20px; top: 50%; transform: translateY(-50%) rotate(0deg); transition: .4s;}
.campus_detail_list > li .campus_list > li .list_tit.on {color: #ea5513;}
.campus_detail_list > li .campus_list > li > ul {display: none;}
.campus_detail_list > li .campus_list > li > ul li button {padding: 15px; background: #fbfbfb;}
.campus_detail_list > li .campus_list > li > ul li.on button,
.campus_detail_list > li .campus_list > li > ul li:hover button {background: #f5f5f5;}

.list_tit#campusCate01::before {background: url(/resources/images/site/contents/map/campusCate01.svg) 100% 100% no-repeat;}
.list_tit#campusCate02::before {background: url(/resources/images/site/contents/map/campusCate02.svg) 100% 100% no-repeat;}
.list_tit#campusCate03::before {background: url(/resources/images/site/contents/map/campusCate03.svg) 100% 100% no-repeat;}
.list_tit#campusCate04::before {background: url(/resources/images/site/contents/map/campusCate04.svg) 100% 100% no-repeat;}
.list_tit#campusCate05::before {background: url(/resources/images/site/contents/map/campusCate05.svg) 100% 100% no-repeat;}
.list_tit#campusCate06::before {background: url(/resources/images/site/contents/map/campusCate06.svg) 100% 100% no-repeat;}
.list_tit#campusCate07::before {background: url(/resources/images/site/contents/map/campusCate07.svg) 100% 100% no-repeat;}
.list_tit#campusCate08::before {background: url(/resources/images/site/contents/map/campusCate08.svg) 100% 100% no-repeat;}
.list_tit#campusCate09::before {background: url(/resources/images/site/contents/map/campusCate09.svg) 100% 100% no-repeat;}
.list_tit#campusCate10::before {background: url(/resources/images/site/contents/map/campusCate10.svg) 100% 100% no-repeat;}
.list_tit#campusCate11::before {background: url(/resources/images/site/contents/map/campusCate11.svg) 100% 100% no-repeat;}
.list_tit#campusCate12::before {background: url(/resources/images/site/contents/map/campusCate12.svg) 100% 100% no-repeat;}
.list_tit#campusCate13::before {background: url(/resources/images/site/contents/map/campusCate13.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate01::before {background: url(/resources/images/site/contents/map/campusCate01on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate02::before {background: url(/resources/images/site/contents/map/campusCate02on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate03::before {background: url(/resources/images/site/contents/map/campusCate03on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate04::before {background: url(/resources/images/site/contents/map/campusCate04on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate05::before {background: url(/resources/images/site/contents/map/campusCate05on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate06::before {background: url(/resources/images/site/contents/map/campusCate06on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate07::before {background: url(/resources/images/site/contents/map/campusCate07on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate08::before {background: url(/resources/images/site/contents/map/campusCate08on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate09::before {background: url(/resources/images/site/contents/map/campusCate09on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate10::before {background: url(/resources/images/site/contents/map/campusCate10on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate11::before {background: url(/resources/images/site/contents/map/campusCate11on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate12::before {background: url(/resources/images/site/contents/map/campusCate12on.svg) 100% 100% no-repeat;}
.list_tit.on#campusCate13::before {background: url(/resources/images/site/contents/map/campusCate13on.svg) 100% 100% no-repeat;}


.num_wrap {margin-right: 20px;}
.num {padding: 2px 0; min-width: 30px; background: #ea5514; display: flex; align-items: center; justify-content: center; text-align: center; border-radius: 30px; color: #fff; font-size: .9rem; font-weight: 400; position: relative;}
.num::after {content: ''; display: block; position: absolute; left: 50%; bottom: -5px; transform: translateX(-50%); width: 0; height: 0; border-style: solid; border-width: 10px 10px 0 10px; border-color: #ea5514 transparent transparent transparent;}

/* 마커오버레이 */
.makerOverlay {position: absolute; top: -30px; left: -10.5px;}
.makerOverlay .num {box-shadow: 2px 2px 6px rgba(0,0,0,.4);}
.makerOverlay.on .num {background: #0790AD;}
.makerOverlay.on  .num::after {border-color: #0790AD transparent transparent transparent;}

/* 커스텀오버레이 */
.overlay {position: absolute; right: 30px; bottom: 30px; border: 1px solid #787878; background: #fff; width: auto; height: auto; padding: 20px; transition: .4s ease-in-out;}
.overlay .overlay_top {display: flex; justify-content: space-between; align-items: center; padding: 0 0 10px; margin-bottom: 10px; border-bottom: 1px solid #ddd;}
.overlay .overlay_top .overlay_tit {width: 100%; font-size: 1.3rem; font-weight: 700; display: flex; align-items: center; color: #333;}
.overlay .overlay_top .overlay_tit > span {display: block; white-space: normal; word-break: break-all;}
.overlay .overlay_top .overlay_tit .num_wrap {margin-right: 10px;}
.overlay .overlay_top .overlay_tit .num::after {display: none;}
.overlay .overlay_top .overlay_tit .findWay {margin-left: 20px; display: flex; align-items: center;}
.overlay .overlay_top .overlay_tit .findWay a {font-size: .9rem; font-weight: 400; padding: 3px 10px; border: 1px solid #777; color: #777;}
.overlay .overlay_cont { height: auto; overflow: hidden; display: flex; justify-content: space-between; flex-wrap: wrap; gap: 15px;}
.overlay .overlay_cont li {display: flex; flex-wrap: wrap; gap: 15px; width: 320px;}
.overlay .overlay_cont li:first-child {gap: 0; width: 400px;}
.overlay .overlay_cont li > div {width: 100%; height: 200px; margin: 0;}
.overlay .overlay_cont li > div.swiper {height: auto; max-height: inherit;}
.overlay .overlay_cont li > div.swiper .swiper-slide {padding-top: 75%; position: relative;}
.overlay .overlay_cont li > div.swiper .swiper-slide img {display: block; width: 100%; height: 100%; object-fit: cover; position: absolute; left: 0; top: 0;}
.overlay .overlay_cont li > div.cont_info {height: 110px;}
.overlay .overlay_cont li > div.cont_info .textarea {height: 100%;}
.overlay .overlay_cont li > div.cont_desc .cont_desc_tit {width: 100%; height: 40px; background: #ea5514; display: flex; align-items: center; padding: 0 10px; color: #fff; font-size: 1.125rem; border-radius: 4px;}
.overlay .overlay_cont li > div .textarea {width: 100%; height: calc(100% - 40px); border: none;font-size: 1rem; line-height: 1.4; color: #555; text-align: left; padding: 10px 10px 0 0; white-space: normal; word-break: break-all; overflow-y: overlay;}
.swiper-slide {text-align: center; display: -webkit-box; display: -ms-flexbox; display: -webkit-flex; display: flex; -webkit-box-pack: center; -ms-flex-pack: center; -webkit-justify-content: center; justify-content: center; -webkit-box-align: center; -ms-flex-align: center; -webkit-align-items: center; align-items: center;}
.swiper-pagination {position: absolute!important; left: 50%!important; bottom: 8px!important; transform: translatex(-50%)!important;width: auto!important;  }
.swiper-pagination-bullet {width: 8px!important; height: 8px!important; border-radius: 50%!important; opacity: 1!important; background: rgba(255, 255, 255, .7)!important; display: inline-block!important; margin-right: 8px!important; cursor: pointer!important; transition: all 0.2s!important;  }
.swiper-pagination-bullet-active {background: #fff!important; width: 20px!important; border-radius: 10px!important;}

.overlay.lang {width: 440px; height: auto;}
.overlay.lang .overlay_cont {height: 250px;}
.overlay.lang .overlay_cont > div {width: 100%;}

#road {height: calc(100vh - 110px);}
#mapIframe {border: none!important;}

@media screen and (max-width: 1024px) {
    /* 스크롤 꾸미기 */
    .campus_scroll::-webkit-scrollbar{width: 4px;}

    /* 지도 */
    /*.map_wrap {height: calc(100% - 460px); top: 460px;}*/
    .map_wrap {position: relative; height: calc(100vh - 450px); top: 360px; z-index: 0;}
    .map_wrap.cls {height: calc(100vh - 90px); top: 0;}

    /* 헤더 */
    .header {height: auto; overflow: hidden; display: block; padding: 0;}
    .header_wrap {height: 100%;}
    .header .logo {margin-right: 0; width: 100%; justify-content: center; height: 50px;}
    .header .logo img {height: 35px;}
    .header .logo a span {font-size: 1.2rem; padding-left: 10px; margin-left: 10px;}
    .header .nav_wrap {width: 100%; flex-wrap: wrap; padding: 0;}
    .header .nav {width: 100%; justify-content: flex-start;}
    .header .nav li {width: 50%; height: 40px; border-radius: 0;}
    .header .nav li a {flex-wrap: nowrap;}
    .header .nav li a span {margin-top: 0; display: inline-block; width: auto; margin-left: 10px; font-size: 1rem;}
    .header .nav li + li {margin-left: 0;}
    .header .util {position: absolute; top: 0; width: 100%; display: flex; text-align: center; background: #d2451e;}
    .header .util li {width: 50%; display: flex; height: 30px; align-items: center; justify-content: center; margin: 0;}
    .header .util li + li {border-left: 1px solid rgba(255, 255, 255, .5);}
    .header .util li a {font-size: .9rem; opacity: 1;}
    .header .util li + li a {border-left: 0;}

    /* 사이드 */
    .campus_info {top: 90px; height: 370px; width: 100%;}
    .campus_info.cls {left: auto; top: -280px;}
    .campus_search {transition: .4s ease-in-out;}
    .campus_search .btn_search {width: 45px; height: 45px;}
    .campus_search .btn_search::before {right: 45px;}
    .campus_search input {padding: 10px 45px 10px 20px;}

    /* 캠퍼스 리스트 */
    .campus_detail_list > li .campus_list ul li .icon {width: 35px; height: 35px;}

    /* 슬라이드 버튼 */
    .slide_btn {left: 50%; top: 370px; transform: translateX(-50%); width: 60px; height: 22px; border-radius: 0 0 4px 4px; transition: .4s ease-in-out;}
    .slide_btn::after {transform: translate(-50%, -50%) rotate(90deg); border-width: 5px;}
    .slide_btn.cls::after {border-width: 5px;}

    /* 커스텀오버레이 */
    .overlay {width: 100%; max-width: 600px; height: 43vh; overflow-y: overlay; top: 510px; left: 50%; right: inherit; bottom: inherit; transform: translateX(-50%);}
    .overlay .overlay_cont li {width: 100%!important;}
    .overlay .overlay_cont li > div, .overlay .overlay_cont li > div.cont_info {height: auto; max-height: 200px;}
    .overlay.cls {margin-top: 60px;}

    #road {height: calc(100vh - 120px);}
}

@media screen and (max-width: 600px) {
    .header .nav li {padding: 10px 5px;}
    .header .nav li a span {font-size: 1rem;}

    /* 커스텀오버레이 */
    .overlay {width: 350px; max-width: inherit; height: 46vh; top: 350px;}
    .overlay.lang {width: 350px;}
    .overlay .overlay_cont .swiper {height: 140px; width: 100%;}
    .num_wrap {margin-right: 10px;}

    .overlay.lang {min-height: 300px;}
    .overlay.lang .overlay_cont .swiper {height: 100%;}

    /* 사이드 */
    .campus_info {height: 240px;}
    .campus_info.cls {top: -150px;}
    .campus_tab_list {padding: 10px;}
    .campus_tab_list li a {padding: 7px;}
    .campus_detail_list {height: calc(100% - 53px - 65px);}
    .campus_detail_list.plus {height: calc(100% - 53px - 65px - 26px);}
    .campus_detail_list li > form {padding: 10px}
    .campus_detail_list > li .campus_list ul li button {padding: 10px;}

    /* 지도 */
    /*.map_wrap {height: calc(100% - 180px); top: 190px;}*/
    .map_wrap {height: 100vh; top: 240px;}
    .map_wrap.cls {top: 0; height: 100vh;}

    /* 슬라이드 버튼 */
    .slide_btn {top: 240px;}
}
